Index: squid/include/GNUregex.h
===================================================================
RCS file: /cvsroot/squid-sf//squid/include/GNUregex.h,v
retrieving revision 1.1.1.2.44.1
retrieving revision 1.1.1.2.44.1.2.1
diff -u -r1.1.1.2.44.1 -r1.1.1.2.44.1.2.1
--- squid/include/GNUregex.h	6 Jan 2001 12:40:10 -0000	1.1.1.2.44.1
+++ squid/include/GNUregex.h	27 Aug 2001 21:48:17 -0000	1.1.1.2.44.1.2.1
@@ -1,5 +1,5 @@
 /*
- * $Id: GNUregex.h,v 1.1.1.2.44.1 2001/01/06 12:40:10 hno Exp $
+ * $Id: GNUregex.h,v 1.1.1.2.44.1.2.1 2001/08/27 21:48:17 tolsty Exp $
  */
 
 /* Definitions for data structures and routines for the regular
@@ -247,7 +247,8 @@
 
 /* If any error codes are removed, changed, or added, update the
  * `re_error_msg' table in regex.c.  */
-typedef enum {
+typedef enum
+{
     REG_NOERROR = 0,		/* Success.  */
     REG_NOMATCH,		/* Didn't find a match (for regexec).  */
 
@@ -270,7 +271,8 @@
     REG_EEND,			/* Premature end.  */
     REG_ESIZE,			/* Compiled pattern bigger than 2^16 bytes.  */
     REG_ERPAREN			/* Unmatched ) or \); not returned from regcomp.  */
-} reg_errcode_t;
+}
+reg_errcode_t;
 
 /* This data structure represents a compiled pattern.  Before calling
  * the pattern compiler, the fields `buffer', `allocated', `fastmap',
@@ -278,7 +280,8 @@
  * compiled, the `re_nsub' field is available.  All other fields are
  * private to the regex routines.  */
 
-struct re_pattern_buffer {
+struct re_pattern_buffer
+{
 /* [[[begin pattern_buffer]]] */
     /* Space that holds the compiled pattern.  It is declared as
      * `unsigned char *' because its elements are
@@ -358,7 +361,8 @@
 
 /* This is the structure we store register match data in.  See
  * regex.texinfo for a full description of what registers match.  */
-struct re_registers {
+struct re_registers
+{
     unsigned num_regs;
     regoff_t *start;
     regoff_t *end;
@@ -376,10 +380,12 @@
 /* POSIX specification for registers.  Aside from the different names than
  * `re_registers', POSIX uses an array of structures, instead of a
  * structure of arrays.  */
-typedef struct {
+typedef struct
+{
     regoff_t rm_so;		/* Byte offset from string's start to substring's start.  */
     regoff_t rm_eo;		/* Byte offset from string's start to substring's end.  */
-} regmatch_t;
+}
+regmatch_t;
 
 /* Declarations for routines.  */
 
@@ -407,8 +413,7 @@
  * and syntax given by the global `re_syntax_options', into the buffer
  * BUFFER.  Return NULL if successful, and an error string if not.  */
 extern const char *re_compile_pattern
-     _RE_ARGS((const char *pattern, int length,
-	struct re_pattern_buffer * buffer));
+_RE_ARGS((const char *pattern, int length, struct re_pattern_buffer * buffer));
 
 
 /* Compile a fastmap for the compiled pattern in BUFFER; used to
@@ -423,29 +428,29 @@
  * match, or -2 for an internal error.  Also return register
  * information in REGS (if REGS and BUFFER->no_sub are nonzero).  */
 extern int re_search
-    _RE_ARGS((struct re_pattern_buffer * buffer, const char *string,
-	int length, int start, int range, struct re_registers * regs));
+_RE_ARGS((struct re_pattern_buffer * buffer, const char *string,
+int length, int start, int range, struct re_registers * regs));
 
 
 /* Like `re_search', but search in the concatenation of STRING1 and
  * STRING2.  Also, stop searching at index START + STOP.  */
 extern int re_search_2
-    _RE_ARGS((struct re_pattern_buffer * buffer, const char *string1,
-	int length1, const char *string2, int length2,
+_RE_ARGS((struct re_pattern_buffer * buffer, const char *string1,
+int length1, const char *string2, int length2,
 	int start, int range, struct re_registers * regs, int stop));
 
 
 /* Like `re_search', but return how many characters in STRING the regexp
  * in BUFFER matched, starting at position START.  */
 extern int re_match
-    _RE_ARGS((struct re_pattern_buffer * buffer, const char *string,
-	int length, int start, struct re_registers * regs));
+_RE_ARGS((struct re_pattern_buffer * buffer, const char *string,
+int length, int start, struct re_registers * regs));
 
 
 /* Relates to `re_match' as `re_search_2' relates to `re_search'.  */
 extern int re_match_2
-    _RE_ARGS((struct re_pattern_buffer * buffer, const char *string1,
-	int length1, const char *string2, int length2,
+_RE_ARGS((struct re_pattern_buffer * buffer, const char *string1,
+int length1, const char *string2, int length2,
 	int start, struct re_registers * regs, int stop));
 
 
@@ -462,7 +467,7 @@
  * PATTERN_BUFFER will allocate its own register data, without
  * freeing the old data.  */
 extern void re_set_registers
-     _RE_ARGS((struct re_pattern_buffer * buffer, struct re_registers * regs,
+_RE_ARGS((struct re_pattern_buffer * buffer, struct re_registers * regs,
 	unsigned num_regs, regoff_t * starts, regoff_t * ends));
 
 /* 4.2 bsd compatibility.  */
@@ -472,11 +477,10 @@
 /* POSIX compatibility.  */
 extern int regcomp _RE_ARGS((regex_t * preg, const char *pattern, int cflags));
 extern int regexec
-    _RE_ARGS((const regex_t * preg, const char *string, size_t nmatch,
-	regmatch_t pmatch[], int eflags));
+_RE_ARGS((const regex_t * preg, const char *string, size_t nmatch,
+regmatch_t pmatch[], int eflags));
 extern size_t regerror
-       _RE_ARGS((int errcode, const regex_t * preg, char *errbuf,
-	size_t errbuf_size));
+_RE_ARGS((int errcode, const regex_t * preg, char *errbuf, size_t errbuf_size));
 extern void regfree _RE_ARGS((regex_t * preg));
 
 #endif /* not __REGEXP_LIBRARY_H__ */
Index: squid/include/PSAPI.H
===================================================================
RCS file: /cvsroot/squid-sf//squid/include/Attic/PSAPI.H,v
retrieving revision 1.1.2.1
retrieving revision 1.1.2.1.2.1
diff -u -r1.1.2.1 -r1.1.2.1.2.1
--- squid/include/PSAPI.H	6 Jan 2001 12:48:45 -0000	1.1.2.1
+++ squid/include/PSAPI.H	27 Aug 2001 21:48:17 -0000	1.1.2.1.2.1
@@ -1,7 +1,5 @@
 /*++ BUILD Version: 0001    // Increment this if a change has global effects
-
 Copyright (c) 1994  Microsoft Corporation
-
 Module Name:
 
     psapi.h
@@ -22,229 +20,162 @@
 #define _PSAPI_H_
 
 #ifdef __cplusplus
-extern "C" {
+extern "C"
+{
 #endif
 
-BOOL
-WINAPI
-EnumProcesses(
-    DWORD * lpidProcess,
-    DWORD   cb,
-    DWORD * cbNeeded
-    );
-
-BOOL
-WINAPI
-EnumProcessModules(
-    HANDLE hProcess,
-    HMODULE *lphModule,
-    DWORD cb,
-    LPDWORD lpcbNeeded
-    );
-
-DWORD
-WINAPI
-GetModuleBaseNameA(
-    HANDLE hProcess,
-    HMODULE hModule,
-    LPSTR lpBaseName,
-    DWORD nSize
-    );
-
-DWORD
-WINAPI
-GetModuleBaseNameW(
-    HANDLE hProcess,
-    HMODULE hModule,
-    LPWSTR lpBaseName,
-    DWORD nSize
-    );
+    BOOL WINAPI EnumProcesses(DWORD * lpidProcess, DWORD cb, DWORD * cbNeeded);
+
+           BOOL
+	WINAPI
+	EnumProcessModules(HANDLE hProcess,
+	HMODULE * lphModule, DWORD cb, LPDWORD lpcbNeeded);
+
+           DWORD
+	WINAPI
+	GetModuleBaseNameA(HANDLE hProcess,
+	HMODULE hModule, LPSTR lpBaseName, DWORD nSize);
+
+           DWORD
+	WINAPI
+	GetModuleBaseNameW(HANDLE hProcess,
+	HMODULE hModule, LPWSTR lpBaseName, DWORD nSize);
 
 #ifdef UNICODE
 #define GetModuleBaseName  GetModuleBaseNameW
 #else
 #define GetModuleBaseName  GetModuleBaseNameA
-#endif // !UNICODE
+#endif				// !UNICODE
 
 
-DWORD
-WINAPI
-GetModuleFileNameExA(
-    HANDLE hProcess,
-    HMODULE hModule,
-    LPSTR lpFilename,
-    DWORD nSize
-    );
-
-DWORD
-WINAPI
-GetModuleFileNameExW(
-    HANDLE hProcess,
-    HMODULE hModule,
-    LPWSTR lpFilename,
-    DWORD nSize
-    );
+           DWORD
+	WINAPI
+	GetModuleFileNameExA(HANDLE hProcess,
+	HMODULE hModule, LPSTR lpFilename, DWORD nSize);
+
+           DWORD
+	WINAPI
+	GetModuleFileNameExW(HANDLE hProcess,
+	HMODULE hModule, LPWSTR lpFilename, DWORD nSize);
 
 #ifdef UNICODE
 #define GetModuleFileNameEx  GetModuleFileNameExW
 #else
 #define GetModuleFileNameEx  GetModuleFileNameExA
-#endif // !UNICODE
+#endif				// !UNICODE
+
+
+    typedef struct _MODULEINFO
+    {
+	LPVOID lpBaseOfDll;
+	DWORD SizeOfImage;
+	LPVOID EntryPoint;
+    }
+    MODULEINFO , *LPMODULEINFO;
+
+
+                BOOL
+	WINAPI
+	GetModuleInformation(HANDLE hProcess,
+	HMODULE hModule, LPMODULEINFO lpmodinfo, DWORD cb);
+
+
+    BOOL WINAPI EmptyWorkingSet(HANDLE hProcess);
+
+
+    BOOL WINAPI QueryWorkingSet(HANDLE hProcess, PVOID pv, DWORD cb);
+
+    BOOL WINAPI InitializeProcessForWsWatch(HANDLE hProcess);
+
+
+    typedef struct _PSAPI_WS_WATCH_INFORMATION
+    {
+	LPVOID FaultingPc;
+	LPVOID FaultingVa;
+    }
+    PSAPI_WS_WATCH_INFORMATION , *PPSAPI_WS_WATCH_INFORMATION;
+
+                                BOOL
+	WINAPI
+	GetWsChanges(HANDLE hProcess,
+	PPSAPI_WS_WATCH_INFORMATION lpWatchInfo, DWORD cb);
 
+                                DWORD
+	WINAPI
+	GetMappedFileNameW(HANDLE hProcess,
+	LPVOID lpv, LPWSTR lpFilename, DWORD nSize);
 
-typedef struct _MODULEINFO {
-    LPVOID lpBaseOfDll;
-    DWORD SizeOfImage;
-    LPVOID EntryPoint;
-} MODULEINFO, *LPMODULEINFO;
-
-
-BOOL
-WINAPI
-GetModuleInformation(
-    HANDLE hProcess,
-    HMODULE hModule,
-    LPMODULEINFO lpmodinfo,
-    DWORD cb
-    );
-
-
-BOOL
-WINAPI
-EmptyWorkingSet(
-    HANDLE hProcess
-    );
-
-
-BOOL
-WINAPI
-QueryWorkingSet(
-    HANDLE hProcess,
-    PVOID pv,
-    DWORD cb
-    );
-
-BOOL
-WINAPI
-InitializeProcessForWsWatch(
-    HANDLE hProcess
-    );
-
-
-typedef struct _PSAPI_WS_WATCH_INFORMATION {
-    LPVOID FaultingPc;
-    LPVOID FaultingVa;
-} PSAPI_WS_WATCH_INFORMATION, *PPSAPI_WS_WATCH_INFORMATION;
-
-BOOL
-WINAPI
-GetWsChanges(
-    HANDLE hProcess,
-    PPSAPI_WS_WATCH_INFORMATION lpWatchInfo,
-    DWORD cb
-    );
-
-DWORD
-WINAPI
-GetMappedFileNameW(
-    HANDLE hProcess,
-    LPVOID lpv,
-    LPWSTR lpFilename,
-    DWORD nSize
-    );
-
-DWORD
-WINAPI
-GetMappedFileNameA(
-    HANDLE hProcess,
-    LPVOID lpv,
-    LPSTR lpFilename,
-    DWORD nSize
-    );
+                                DWORD
+	WINAPI
+	GetMappedFileNameA(HANDLE hProcess,
+	LPVOID lpv, LPSTR lpFilename, DWORD nSize);
 
 #ifdef UNICODE
 #define GetMappedFilenameEx  GetMappedFilenameExW
 #else
 #define GetMappedFilenameEx  GetMappedFilenameExA
-#endif // !UNICODE
+#endif				// !UNICODE
 
-BOOL
-WINAPI
-EnumDeviceDrivers(
-    LPVOID *lpImageBase,
-    DWORD cb,
-    LPDWORD lpcbNeeded
-    );
-
-
-DWORD
-WINAPI
-GetDeviceDriverBaseNameA(
-    LPVOID ImageBase,
-    LPSTR lpBaseName,
-    DWORD nSize
-    );
-
-DWORD
-WINAPI
-GetDeviceDriverBaseNameW(
-    LPVOID ImageBase,
-    LPWSTR lpBaseName,
-    DWORD nSize
-    );
+                                BOOL
+	WINAPI
+	EnumDeviceDrivers(LPVOID * lpImageBase, DWORD cb, LPDWORD lpcbNeeded);
+
+
+                                DWORD
+	WINAPI
+	GetDeviceDriverBaseNameA(LPVOID ImageBase,
+	LPSTR lpBaseName, DWORD nSize);
+
+                                DWORD
+	WINAPI
+	GetDeviceDriverBaseNameW(LPVOID ImageBase,
+	LPWSTR lpBaseName, DWORD nSize);
 
 #ifdef UNICODE
 #define GetDeviceDriverBaseName  GetDeviceDriverBaseNameW
 #else
 #define GetDeviceDriverBaseName  GetDeviceDriverBaseNameA
-#endif // !UNICODE
+#endif				// !UNICODE
 
 
-DWORD
-WINAPI
-GetDeviceDriverFileNameA(
-    LPVOID ImageBase,
-    LPSTR lpFilename,
-    DWORD nSize
-    );
-
-DWORD
-WINAPI
-GetDeviceDriverFileNameW(
-    LPVOID ImageBase,
-    LPWSTR lpFilename,
-    DWORD nSize
-    );
+                                DWORD
+	WINAPI
+	GetDeviceDriverFileNameA(LPVOID ImageBase,
+	LPSTR lpFilename, DWORD nSize);
+
+                                DWORD
+	WINAPI
+	GetDeviceDriverFileNameW(LPVOID ImageBase,
+	LPWSTR lpFilename, DWORD nSize);
 
 #ifdef UNICODE
 #define GetDeviceDriverFileName  GetDeviceDriverFileNameW
 #else
 #define GetDeviceDriverFileName  GetDeviceDriverFileNameA
-#endif // !UNICODE
+#endif				// !UNICODE
 
 // Structure for GetProcessMemoryInfo()
 
-typedef struct _PROCESS_MEMORY_COUNTERS {
-    DWORD cb;
-    DWORD PageFaultCount;
-    DWORD PeakWorkingSetSize;
-    DWORD WorkingSetSize;
-    DWORD QuotaPeakPagedPoolUsage;
-    DWORD QuotaPagedPoolUsage;
-    DWORD QuotaPeakNonPagedPoolUsage;
-    DWORD QuotaNonPagedPoolUsage;
-    DWORD PagefileUsage;
-    DWORD PeakPagefileUsage;
-} PROCESS_MEMORY_COUNTERS;
-typedef PROCESS_MEMORY_COUNTERS *PPROCESS_MEMORY_COUNTERS;
-
-BOOL
-WINAPI
-GetProcessMemoryInfo(
-    HANDLE Process,
-    PPROCESS_MEMORY_COUNTERS ppsmemCounters,
-    DWORD cb
-    );
+    typedef struct _PROCESS_MEMORY_COUNTERS
+    {
+	DWORD cb;
+	DWORD PageFaultCount;
+	DWORD PeakWorkingSetSize;
+	DWORD WorkingSetSize;
+	DWORD QuotaPeakPagedPoolUsage;
+	DWORD QuotaPagedPoolUsage;
+	DWORD QuotaPeakNonPagedPoolUsage;
+	DWORD QuotaNonPagedPoolUsage;
+	DWORD PagefileUsage;
+	DWORD PeakPagefileUsage;
+    }
+    PROCESS_MEMORY_COUNTERS;
+    typedef PROCESS_MEMORY_COUNTERS *PPROCESS_MEMORY_COUNTERS;
+
+                            BOOL
+	WINAPI
+	GetProcessMemoryInfo(HANDLE Process,
+	PPROCESS_MEMORY_COUNTERS ppsmemCounters, DWORD cb);
 
 #ifdef __cplusplus
 }
Index: squid/include/READDIR.H
===================================================================
RCS file: /cvsroot/squid-sf//squid/include/Attic/READDIR.H,v
retrieving revision 1.1.2.1
retrieving revision 1.1.2.1.2.1
diff -u -r1.1.2.1 -r1.1.2.1.2.1
--- squid/include/READDIR.H	6 Jan 2001 12:48:45 -0000	1.1.2.1
+++ squid/include/READDIR.H	27 Aug 2001 21:48:17 -0000	1.1.2.1.2.1
@@ -6,29 +6,32 @@
 #include <io.h>
 //#include <stdio.h>
 #include <stdlib.h>
-#include <sys/types.h> 
+#include <sys/types.h>
 #define off_t _off_t
 
 
 /* struct dirent - same as Unix */
-struct dirent {
-    long d_ino;                    /* inode (always 1 in WIN32) */
-    off_t d_off;                /* offset to this dirent */
-    unsigned short d_reclen;    /* length of d_name */
-    char d_name[_MAX_FNAME+1];    /* filename (null terminated) */
+struct dirent
+{
+    long d_ino;			/* inode (always 1 in WIN32) */
+    off_t d_off;		/* offset to this dirent */
+    unsigned short d_reclen;	/* length of d_name */
+    char d_name[_MAX_FNAME + 1];	/* filename (null terminated) */
 };
 
 /* typedef DIR - not the same as Unix */
-typedef struct {
-    long handle;                /* _findfirst/_findnext handle */
-    short offset;                /* offset into directory */
-    short finished;             /* 1 if there are not more files */
-    struct _finddata_t fileinfo;  /* from _findfirst/_findnext */
-    char *dir;                  /* the dir we are reading */
-    struct dirent dent;         /* the dirent to return */
-} DIR;
+typedef struct
+{
+    long handle;		/* _findfirst/_findnext handle */
+    short offset;		/* offset into directory */
+    short finished;		/* 1 if there are not more files */
+    struct _finddata_t fileinfo;	/* from _findfirst/_findnext */
+    char *dir;			/* the dir we are reading */
+    struct dirent dent;		/* the dirent to return */
+}
+DIR;
 
 /* Function prototypes */
-DIR * opendir(const char *);
-struct dirent * readdir(DIR *);
+DIR *opendir(const char *);
+struct dirent *readdir(DIR *);
 int closedir(DIR *);
Index: squid/include/Stack.h
===================================================================
RCS file: /cvsroot/squid-sf//squid/include/Stack.h,v
retrieving revision 1.1.1.1.44.1
retrieving revision 1.1.1.1.44.1.2.1
diff -u -r1.1.1.1.44.1 -r1.1.1.1.44.1.2.1
--- squid/include/Stack.h	6 Jan 2001 12:40:10 -0000	1.1.1.1.44.1
+++ squid/include/Stack.h	27 Aug 2001 21:48:17 -0000	1.1.1.1.44.1.2.1
@@ -1,5 +1,5 @@
 /*
- * $Id: Stack.h,v 1.1.1.1.44.1 2001/01/06 12:40:10 hno Exp $
+ * $Id: Stack.h,v 1.1.1.1.44.1.2.1 2001/08/27 21:48:17 tolsty Exp $
  *
  * AUTHOR: Alex Rousskov
  *
@@ -38,9 +38,9 @@
 #define stackInit arrayInit
 #define stackClean arrayClean
 #define stackDestroy arrayDestroy
-extern void *stackPop(Stack *s);
+extern void *stackPop(Stack * s);
 #define stackPush arrayAppend
 #define stackPrePush arrayPreAppend
-extern void *stackTop(Stack *s);
+extern void *stackTop(Stack * s);
 
 #endif /* ndef _STACK_H_ */
Index: squid/include/asn1.h
===================================================================
RCS file: /cvsroot/squid-sf//squid/include/asn1.h,v
retrieving revision 1.1.1.1.44.1
retrieving revision 1.1.1.1.44.1.2.1
diff -u -r1.1.1.1.44.1 -r1.1.1.1.44.1.2.1
--- squid/include/asn1.h	6 Jan 2001 12:40:10 -0000	1.1.1.1.44.1
+++ squid/include/asn1.h	27 Aug 2001 21:48:17 -0000	1.1.1.1.44.1.2.1
@@ -1,6 +1,5 @@
 #ifndef _SNMP_ASN1_H_
 #define _SNMP_ASN1_H_
-
 /*
  * Definitions for Abstract Syntax Notation One, ASN.1
  * As defined in ISO/IS 8824 and ISO/IS 8825
@@ -28,7 +27,7 @@
  * ARISING OUT OF OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS
  * SOFTWARE.
  * 
- * $Id: asn1.h,v 1.1.1.1.44.1 2001/01/06 12:40:10 hno Exp $
+ * $Id: asn1.h,v 1.1.1.1.44.1.2.1 2001/08/27 21:48:17 tolsty Exp $
  * 
  **********************************************************************/
 
@@ -67,7 +66,8 @@
 #define IS_EXTENSION_ID(byte)	(((byte) & ASN_EXTENSION_ID) == ASN_EXTENSION_ID)
 
 #ifdef __cplusplus
-extern "C" {
+extern "C"
+{
 #endif
 
     u_char *asn_build_header(u_char *, int *, u_char, int);
Index: squid/include/autoconf.h
===================================================================
RCS file: /cvsroot/squid-sf//squid/include/Attic/autoconf.h,v
retrieving revision 1.1.2.6
retrieving revision 1.1.2.6.2.1
diff -u -r1.1.2.6 -r1.1.2.6.2.1
--- squid/include/autoconf.h	28 Jul 2001 10:18:13 -0000	1.1.2.6
+++ squid/include/autoconf.h	27 Aug 2001 21:48:17 -0000	1.1.2.6.2.1
@@ -1,5 +1,4 @@
 /* include/autoconf.h.in.  Generated automatically from configure.in by autoheader.  */
-
 /* Define if using alloca.c.  */
 #undef C_ALLOCA
 
@@ -18,7 +17,7 @@
 #undef HAVE_ALLOCA_H
 
 /* Define to `int' if <sys/types.h> doesn't define.  */
-#undef mode_t 
+#undef mode_t
 #define mode_t int
 
 /* Define to `long' if <sys/types.h> doesn't define.  */
@@ -26,7 +25,7 @@
 
 /* Define to `int' if <sys/types.h> doesn't define.  */
 #undef pid_t
-#define pid_t int
+#define pid_t long
 
 /* Define to `unsigned' if <sys/types.h> doesn't define.  */
 #undef size_t
@@ -88,6 +87,9 @@
  *           ICP_OP_MISS_NOFETCH for sites which it cannot ping.
  */
 #undef USE_ICMP
+#define USE_ICMP 1
+
+#define ALLOW_SOURCE_PING 1
 
 /*
  * Traffic management via "delay pools".
@@ -146,6 +148,7 @@
  * code is still semi-experimental. 
  */
 #undef USE_CACHE_DIGESTS
+#define USE_CACHE_DIGESTS 1
 
 /*
  * Cache Array Routing Protocol
@@ -233,7 +236,7 @@
  * should be defined to int.
  */
 #undef socklen_t
-#define socklen_t long  
+#define socklen_t int
 /*
  * By default (for now anyway) Squid includes options which allows
  * the cache administrator to violate the HTTP protocol specification
@@ -258,7 +261,7 @@
  * type of fd_set array
  */
 #undef fd_mask
-#define fd_mask long 
+#define fd_mask int
 /*
  * If _res structure has nsaddr_list member
  */
@@ -304,6 +307,7 @@
  * Use the heap-based replacement techniques
  */
 #undef HEAP_REPLACEMENT
+#define HEAP_REPLACEMENT 1
 
 /* The number of bytes in a int.  */
 #undef SIZEOF_INT
@@ -445,6 +449,7 @@
 /* Define if you have the strerror function.  */
 #undef HAVE_STRERROR
 #define HAVE_STRERROR 1
+
 /* Define if you have the sysconf function.  */
 #undef HAVE_SYSCONF
 
@@ -488,6 +493,7 @@
 
 /* Define if you have the <dirent.h> header file.  */
 #undef HAVE_DIRENT_H
+#define HAVE_DIRENT_H 1
 
 /* Define if you have the <errno.h> header file.  */
 #undef HAVE_ERRNO_H
Index: squid/include/cache_snmp.h
===================================================================
RCS file: /cvsroot/squid-sf//squid/include/cache_snmp.h,v
retrieving revision 1.1.1.3.30.1
retrieving revision 1.1.1.3.30.1.2.1
diff -u -r1.1.1.3.30.1 -r1.1.1.3.30.1.2.1
--- squid/include/cache_snmp.h	6 Jan 2001 12:40:10 -0000	1.1.1.3.30.1
+++ squid/include/cache_snmp.h	27 Aug 2001 21:48:17 -0000	1.1.1.3.30.1.2.1
@@ -1,5 +1,5 @@
 /*
- * $Id: cache_snmp.h,v 1.1.1.3.30.1 2001/01/06 12:40:10 hno Exp $
+ * $Id: cache_snmp.h,v 1.1.1.3.30.1.2.1 2001/08/27 21:48:17 tolsty Exp $
  */
 
 #ifdef SQUID_SNMP
@@ -56,7 +56,8 @@
  * cacheSystem group 
  */
 
-enum {
+enum
+{
     SYS_START,
     SYSVMSIZ,
     SYSSTOR,
@@ -71,7 +72,8 @@
  * cacheConfig group 
  */
 
-enum {
+enum
+{
     CONF_START,
     CONF_ADMIN,
     CONF_VERSION,
@@ -84,7 +86,8 @@
 #define LEN_CONF LEN_SQ_CONF + 1
 #define LEN_CONF_INST LEN_SQ_CONF + 2
 
-enum {
+enum
+{
     CONF_ST_START,
     CONF_ST_MMAXSZ,
     CONF_ST_SWMAXSZ,
@@ -100,14 +103,16 @@
  * cacheMesh group 
  */
 
-enum {
+enum
+{
     MESH_START,
     MESH_PTBL,
     MESH_CTBL,
     MESH_END
 };
 
-enum {				/* cachePeerTable */
+enum
+{				/* cachePeerTable */
     MESH_PTBL_START,
     MESH_PTBL_NAME,
     MESH_PTBL_IP,
@@ -125,7 +130,8 @@
     MESH_PTBL_END
 };
 
-enum {				/* cacheClientTable */
+enum
+{				/* cacheClientTable */
     MESH_CTBL_START,
     MESH_CTBL_ADDR,
     MESH_CTBL_HTREQ,
@@ -143,7 +149,8 @@
  * cacheNetwork group 
  */
 
-enum {
+enum
+{
     NET_START,
     NET_IP_CACHE,
     NET_FQDN_CACHE,
@@ -151,7 +158,8 @@
     NET_END
 };
 
-enum {
+enum
+{
     IP_START,
     IP_ENT,
     IP_REQ,
@@ -164,7 +172,8 @@
     IP_END
 };
 
-enum {
+enum
+{
     FQDN_START,
     FQDN_ENT,
     FQDN_REQ,
@@ -176,7 +185,8 @@
     FQDN_END
 };
 
-enum {
+enum
+{
     DNS_START,
     DNS_REQ,
     DNS_REP,
@@ -188,14 +198,16 @@
  * Cache Performance Group 
  */
 
-enum {
+enum
+{
     PERF_START,
     PERF_SYS,
     PERF_PROTO,
     PERF_END
 };
 
-enum {
+enum
+{
     PERF_SYS_START,
     PERF_SYS_PF,
     PERF_SYS_NUMR,
@@ -211,14 +223,16 @@
     PERF_SYS_END
 };
 
-enum {
+enum
+{
     PERF_PROTOSTAT_START,
     PERF_PROTOSTAT_AGGR,
     PERF_PROTOSTAT_MEDIAN,
     PERF_PROTOSTAT_END
 };
 
-enum {
+enum
+{
     PERF_PROTOSTAT_AGGR_START,
     PERF_PROTOSTAT_AGGR_HTTP_REQ,
     PERF_PROTOSTAT_AGGR_HTTP_HITS,
@@ -238,7 +252,8 @@
     PERF_PROTOSTAT_AGGR_END
 };
 
-enum {
+enum
+{
     PERF_MEDIAN_START,
     PERF_MEDIAN_TIME,
     PERF_MEDIAN_HTTP_ALL,
Index: squid/include/config.h
===================================================================
RCS file: /cvsroot/squid-sf//squid/include/config.h,v
retrieving revision 1.1.2.6
retrieving revision 1.1.2.6.2.1
diff -u -r1.1.2.6 -r1.1.2.6.2.1
--- squid/include/config.h	15 Jul 2001 16:58:37 -0000	1.1.2.6
+++ squid/include/config.h	27 Aug 2001 21:48:17 -0000	1.1.2.6.2.1
@@ -104,6 +104,8 @@
 #define _SQUID_MSWIN_
 
 /* Some tricks for MS Compilers */
+#define __STDC__ 1
+#pragma include_alias(<dirent.h>, <direct.h>)
 #define alloca _alloca
 #define chdir _chdir
 #define getcwd _getcwd
@@ -120,14 +122,33 @@
 #define ushort unsigned short int
 #define uid_t int
 #define gid_t int
+#define timezone _timezone
+
+#define sleep(t) Sleep((t)*1000)
+
+#define	SIGHUP	1		/* hangup */
+#define	SIGKILL	9		/* kill (cannot be caught or ignored) */
+#define	SIGBUS	10		/* bus error */
+#define	SIGPIPE	13		/* write on a pipe with no one to read it */
+#define	SIGCHLD	20		/* to parent on child stop or exit */
+#define SIGUSR1 30		/* user defined signal 1 */
+#define SIGUSR2 31		/* user defined signal 2 */
 
 #define CHANGE_FD_SETSIZE 1
-#if CHANGE_FD_SETSIZE && SQUID_MAXFD > DEFAULT_FD_SETSIZE
+#if SQUID_MAXFD > DEFAULT_FD_SETSIZE
 #define FD_SETSIZE SQUID_MAXFD
 #endif
 
 #include <stddef.h>
+/* Hack to suppress compiler warnings on FD_SET() & FD_CLR() */
+#pragma warning (push)
+#pragma warning (disable:4142)
+typedef int SOCKET;
+/* prevent inclusion of wingdi.h */
+#define NOGDI
 #include <ws2spi.h>
+#undef OPTIONAL
+#pragma warning (pop)
 #include "readdir.h"
 
 typedef char *caddr_t;
@@ -140,20 +161,105 @@
 #define EWOULDBLOCK WSAEWOULDBLOCK
 #define EALREADY WSAEALREADY
 #define ETIMEDOUT WSAETIMEDOUT
+#define ECONNREFUSED WSAECONNREFUSED
+#define ECONNRESET WSAECONNRESET
+#define ERESTART WSATRY_AGAIN
+
+#define O_RDONLY _O_RDONLY
+#define O_BINARY _O_BINARY
+#define O_WRONLY _O_WRONLY
+#define O_APPEND _O_APPEND
+#define O_TRUNC _O_TRUNC
+#define O_CREAT _O_CREAT
+
+#define read       _read
+#define write      _write
+#define close      _close
+#define fileno     _fileno
+#define fdopen     _fdopen
+#define open       _open
+#define strdup     _strdup
+#define unlink     _unlink
+#define dup        _dup
+#define dup2       _dup2
+#define lseek      _lseeki64
+#define stat       _stati64
+#define fstat      _fstati64
+#define memccpy    _memccpy
+#define putenv     _putenv
+#define umask      _umask
+#define mkdir(p,m) _mkdir(p)
+#define tempnam    _tempnam
+#define setuid(l)  100
+#define geteuid()  100
+#define setgid(g)  100
+
+struct passwd {
+	uid_t pw_uid;
+};
+
+struct group {
+	gid_t gr_gid;
+};
+
+#if defined(CLIENT_SIDE_C) || defined(COMM_C) || defined(COMM_SELECT_C) || \
+	defined (DNS_INTERNAL_C) || defined (FORWARD_C) || defined(FTP_C) || \
+	defined (GOPHER_C) || defined (HELPER_C) || defined (HTCP_C) || \
+	defined (HTTP_C) || defined(IDENT_C) || \
+	defined (PCONN_C) || defined (PUMP_C) || defined (SSL_C) || \
+	defined(WHOIS_C) || defined(WAIS_C)
+#undef read
+#undef write
+#define read(x,y,z) recv(x,y,z,0)
+#define write(x,y,z) send(x,y,z,0)
+#endif
+
+#if defined(COMM_C) || defined(SNMP_API_C) || defined(TOOLS_C)
+#undef close
+#define close(fd) closesocket(fd)
+#endif
+
+#if !defined(_etext) /* util.c actually */
+#define strerror(e) xbstrerror(e)
+#else
+#define NOT_NEEDED 1
+#endif
+
+/* internal to CRTLIB */
+/* used also in win32lib.c */
+extern void __cdecl _dosmaperr(unsigned long oserrno);
+
+#if defined(COMM_C)
+static __declspec(thread) SOCKET tmp_fd;
+#undef dup2
+#define dup2(fd1,fd2) \
+	(tmp_fd = (fd2), \
+	DuplicateHandle(GetCurrentProcess(), (HANDLE)(fd1), \
+		GetCurrentProcess(), (LPHANDLE)&(fd2), \
+		0, FALSE, DUPLICATE_SAME_ACCESS) ? \
+	(closesocket(tmp_fd), assert((fd2) < Squid_MaxFD), \
+	sd_table[(fd2)] = sd_table[tmp_fd], \
+	/* Dirty hack: try to see if */ \
+	/* cs->callback == fwdConnectDone */ \
+		(((FwdState*)cs->data)->server_fd == tmp_fd ?  \
+		((FwdState*)cs->data)->server_fd = (fd2) : 0 ), \
+	assert(sd_table[fd2].flags.open), \
+	sd_table[fd2].flags.open = 0, \
+	fd_close(tmp_fd), \
+	fd_open((fd2), sd_table[fd2].type, sd_table[fd2].desc), \
+	0) : \
+	(_dosmaperr(GetLastError()), -1))
+#endif
 
 #if defined (COMM_C) || defined (COMM_SELECT_C)
-#define recv(x,y,z) recv(x,y,z,0)
-#define send(x,y,z) send(x,y,z,0)
 #define fd_bytes(x,y,z) sd_bytes(x,y,z)
 #define fd_note(x,y) sd_note(x,y)
 #define fd_open(x,y,z) sd_open(x,y,z)
 #define fd_close(x) sd_close(x)
-#define ignoreErrno(x) WSAignoreErrno(x)
 #endif
 
 #if defined (ICP_V2_C)
 #define fd_note(x,y) sd_note(x,y)
-#define ignoreErrno(x) WSAignoreErrno(x)
 #define commSetSelect(x,y,z,u,v) commSetSelectS(x,y,z,u,v)
 #endif
 
@@ -163,10 +269,7 @@
 #endif
 
 #if defined(WHOIS_C) || defined(WAIS_C) 
-#define send(x,y,z) send(x,y,z,0)
-#define recv(x,y,z) recv(x,y,z,0)
 #define fd_bytes(x,y,z) sd_bytes(x,y,z)
-#define ignoreErrno(x) WSAignoreErrno(x)
 #define commSetSelect(x,y,z,u,v) commSetSelectS(x,y,z,u,v)
 #endif
 
@@ -174,14 +277,80 @@
 	defined (HTTP_C) || defined (HTCP_C) || defined (HELPER_C) || defined (CLIENT_SIDE_C) \
 	|| defined (FTP_C) || defined (GOPHER_C) || defined(IDENT_C) || \
 	defined (ICMP_C) || defined (FORWARD_C) || defined (DNS_INTERNAL_C)
-#define recv(x,y,z) recv(x,y,z,0)
-#define send(x,y,z) send(x,y,z,0)
 #define fd_bytes(x,y,z) sd_bytes(x,y,z)
 #define fd_note(x,y) sd_note(x,y)
-#define ignoreErrno(x) WSAignoreErrno(x)
 #define commSetSelect(x,y,z,u,v) commSetSelectS(x,y,z,u,v)
 #endif
 
+#define _PATH_RESOLV_CONF Config.pidFilename
+
+#undef h_errno
+#define h_errno errno /* we'll set it ourselves */
+
+extern __declspec(thread) int ws32_result;
+#define socket(f,t,p) \
+	(INVALID_SOCKET == ((SOCKET)ws32_result = socket(f,t,p)) ? \
+	((WSAEMFILE == (errno = WSAGetLastError()) ? errno = EMFILE : -1), -1) : \
+	(SOCKET)ws32_result)
+#define accept(s,a,l) \
+	(INVALID_SOCKET == ((SOCKET)ws32_result = accept(s,a,l)) ? \
+	((WSAEMFILE == (errno = WSAGetLastError()) ? errno = EMFILE : -1), -1) : \
+	(SOCKET)ws32_result)
+#define bind(s,n,l) \
+	(SOCKET_ERROR == bind(s,n,l) ? \
+	(errno = WSAGetLastError()), -1 : 0)
+#define connect(s,n,l) \
+	(SOCKET_ERROR == connect(s,n,l) ? \
+	(WSAEMFILE == (errno = WSAGetLastError()) ? errno = EMFILE : -1, -1) : 0)
+#define listen(s,b) \
+	(SOCKET_ERROR == listen(s,b) ? \
+	(WSAEMFILE == (errno = WSAGetLastError()) ? errno = EMFILE : -1, -1) : 0)
+#define shutdown(s,h) \
+	(SOCKET_ERROR == shutdown(s,h) ? \
+	(errno = WSAGetLastError()), -1 : 0)
+#define closesocket(s) \
+	(SOCKET_ERROR == closesocket(s) ? \
+	(errno = WSAGetLastError()), -1 : 0)
+#define select(n,r,w,e,t) \
+	(SOCKET_ERROR == (ws32_result = select(n,r,w,e,t)) ? \
+	((errno = WSAGetLastError()), -1) : ws32_result)
+#define recv(s,b,l,f) \
+	(SOCKET_ERROR == (ws32_result = recv(s,b,l,f)) ? \
+	((errno = WSAGetLastError()), -1) : ws32_result)
+#define recvfrom(s,b,l,f,fr,frl) \
+	(SOCKET_ERROR == (ws32_result = recvfrom(s,b,l,f,fr,frl)) ? \
+	((errno = WSAGetLastError()), -1) : ws32_result)
+#define send(s,b,l,f) \
+	(SOCKET_ERROR == (ws32_result = send(s,b,l,f)) ? \
+	((errno = WSAGetLastError()), -1) : ws32_result)
+#define sendto(s,b,l,f,t,tl) \
+	(SOCKET_ERROR == (ws32_result = sendto(s,b,l,f,t,tl)) ? \
+	((errno = WSAGetLastError()), -1) : ws32_result)
+#define getsockname(s,n,l) \
+	(SOCKET_ERROR == getsockname(s,n,l) ? \
+	(errno = WSAGetLastError()), -1 : 0)
+#define getsockopt(s,l,o,v,n) \
+	(Sleep(1), SOCKET_ERROR == getsockopt(s,l,o,v,n) ? \
+	(errno = WSAGetLastError()), -1 : 0)
+#define setsockopt(s,l,o,v,n) \
+	(SOCKET_ERROR == setsockopt(s,l,o,v,n) ? \
+	(errno = WSAGetLastError()), -1 : 0)
+#define ioctlsocket(s,c,a) \
+	(SOCKET_ERROR == ioctlsocket(s,c,a) ? \
+	(errno = WSAGetLastError()), -1 : 0)
+#define gethostname(n,l) \
+	(SOCKET_ERROR == gethostname(n,l) ? \
+	(errno = WSAGetLastError()), -1 : 0)
+#define gethostbyname(n) \
+	(NULL == ((HOSTENT FAR*)ws32_result = gethostbyname(n)) ? \
+	(errno = WSAGetLastError()), NULL : (HOSTENT FAR*)ws32_result)
+#define getservbyname(n,p) \
+	(NULL == ((SERVENT FAR*)ws32_result = getservbyname(n,p)) ? \
+	(errno = WSAGetLastError()), NULL : (SERVENT FAR*)ws32_result)
+#define gethostbyaddr(a,l,t) \
+	(NULL == ((HOSTENT FAR*)ws32_result = gethostbyaddr(a,l,t)) ? \
+	(errno = WSAGetLastError()), NULL : (HOSTENT FAR*)ws32_result)
+
 #elif defined(__APPLE__)
 #define _SQUID_APPLE_
 
Index: squid/include/config.h.in
===================================================================
RCS file: /cvsroot/squid-sf//squid/include/Attic/config.h.in,v
retrieving revision 1.1.1.3.4.1.2.5
retrieving revision 1.1.1.3.4.1.2.5.2.1
diff -u -r1.1.1.3.4.1.2.5 -r1.1.1.3.4.1.2.5.2.1
--- squid/include/config.h.in	15 Jul 2001 16:58:37 -0000	1.1.1.3.4.1.2.5
+++ squid/include/config.h.in	27 Aug 2001 21:48:17 -0000	1.1.1.3.4.1.2.5.2.1
@@ -1,5 +1,5 @@
 /*
- * $Id: config.h.in,v 1.1.1.3.4.1.2.5 2001/07/15 16:58:37 serassio Exp $
+ * $Id: config.h.in,v 1.1.1.3.4.1.2.5.2.1 2001/08/27 21:48:17 tolsty Exp $
  *
  * AUTHOR: Duane Wessels
  *
